//---------------------------------------------------------------------------

#ifndef vclbmimageH
#define vclbmimageH
//---------------------------------------------------------------------------
#include "bitmapimage.h"

class TCbBitmapImage : public TGraphic
{
public:
protected:
	virtual bool __fastcall Equals(Graphics::TGraphic* Graphic);
	virtual void __fastcall Draw(Graphics::TCanvas* ACanvas, const Windows::TRect &Rect);
	virtual void __fastcall ReadData(Classes::TStream* Stream);
	virtual bool __fastcall GetEmpty(void);
	virtual int __fastcall GetHeight(void);
	virtual int __fastcall GetWidth(void);
	virtual void __fastcall SetHeight(int Value);
	virtual void __fastcall SetWidth(int Value);
private:
  Colosseum::BitmapImage decoded_image ;
} ;

#endif
